Package com.ocient.jdbc.proto

# Class PlanProtocol.ReferenceOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.ReferenceOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ReferenceOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ReferenceOperator

    public static final class PlanProtocol.ReferenceOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>
    implements PlanProtocol.ReferenceOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.ReferenceOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.ReferenceOperator.Builder` | `addAllColTypes​(Iterable<String> values)` | Deprecated.
`PlanProtocol.ReferenceOperator.Builder` | `addColTypes​(String value)` | Deprecated.
`PlanProtocol.ReferenceOperator.Builder` | `addColTypesBytes​(com.google.protobuf.ByteString value)` | Deprecated.
`PlanProtocol.ReferenceOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.ReferenceOperator` | `build()` |
`PlanProtocol.ReferenceOperator` | `buildPartial()` |
`PlanProtocol.ReferenceOperator.Builder` | `clear()` |
`PlanProtocol.ReferenceOperator.Builder` | `clearColTypes()` | Deprecated.
`PlanProtocol.ReferenceOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.ReferenceOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.ReferenceOperator.Builder` | `clearParentIndex()` | `uint32 parent_index = 2;`
`PlanProtocol.ReferenceOperator.Builder` | `clone()` |
`String` | `getColTypes​(int index)` | Deprecated.
`com.google.protobuf.ByteString` | `getColTypesBytes​(int index)` | Deprecated.
`int` | `getColTypesCount()` | Deprecated.
`com.google.protobuf.ProtocolStringList` | `getColTypesList()` | Deprecated.
`PlanProtocol.ReferenceOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`int` | `getParentIndex()` | `uint32 parent_index = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.ReferenceOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.ReferenceOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.ReferenceOperator.Builder` | `mergeFrom​(PlanProtocol.ReferenceOperator other)` |
`PlanProtocol.ReferenceOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.ReferenceOperator.Builder` | `setColTypes​(int index, String value)` | Deprecated.
`PlanProtocol.ReferenceOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.ReferenceOperator.Builder` | `setParentIndex​(int value)` | `uint32 parent_index = 2;`
`PlanProtocol.ReferenceOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.ReferenceOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### clear

public PlanProtocol.ReferenceOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.ReferenceOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.ReferenceOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.ReferenceOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.ReferenceOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### setField

public PlanProtocol.ReferenceOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### clearField

public PlanProtocol.ReferenceOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### clearOneof

public PlanProtocol.ReferenceOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### setRepeatedField

public PlanProtocol.ReferenceOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### addRepeatedField

public PlanProtocol.ReferenceOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### mergeFrom

public PlanProtocol.ReferenceOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ReferenceOperator.Builder>`

### mergeFrom

public PlanProtocol.ReferenceOperator.Builder mergeFrom​(PlanProtocol.ReferenceOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### mergeFrom

public PlanProtocol.ReferenceOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ReferenceOperator.Builder>`
Throws:
  `IOException`

### getColTypesList

@Deprecated public com.google.protobuf.ProtocolStringList getColTypesList()
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

Specified by:
  `getColTypesList` in interface `PlanProtocol.ReferenceOperatorOrBuilder`

### getColTypesCount

@Deprecated public int getColTypesCount()
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

Specified by:
  `getColTypesCount` in interface `PlanProtocol.ReferenceOperatorOrBuilder`

### getColTypes

@Deprecated public String getColTypes​(int index)
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

Specified by:
  `getColTypes` in interface `PlanProtocol.ReferenceOperatorOrBuilder`

### getColTypesBytes

@Deprecated public com.google.protobuf.ByteString getColTypesBytes​(int index)
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

Specified by:
  `getColTypesBytes` in interface `PlanProtocol.ReferenceOperatorOrBuilder`

### setColTypes

@Deprecated public PlanProtocol.ReferenceOperator.Builder setColTypes​(int index, String value)
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### addColTypes

@Deprecated public PlanProtocol.ReferenceOperator.Builder addColTypes​(String value)
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### addAllColTypes

@Deprecated public PlanProtocol.ReferenceOperator.Builder addAllColTypes​(Iterable<String> values)
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### clearColTypes

@Deprecated public PlanProtocol.ReferenceOperator.Builder clearColTypes()
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### addColTypesBytes

@Deprecated public PlanProtocol.ReferenceOperator.Builder addColTypesBytes​(com.google.protobuf.ByteString value)
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### getParentIndex

public int getParentIndex()
`uint32 parent_index = 2;`

Specified by:
  `getParentIndex` in interface `PlanProtocol.ReferenceOperatorOrBuilder`

### setParentIndex

public PlanProtocol.ReferenceOperator.Builder setParentIndex​(int value)
`uint32 parent_index = 2;`

### clearParentIndex

public PlanProtocol.ReferenceOperator.Builder clearParentIndex()
`uint32 parent_index = 2;`

### setUnknownFields

public final PlanProtocol.ReferenceOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.ReferenceOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ReferenceOperator.Builder>`